Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Audit Logs

List all Audit Logs

get
/v3/audit-logs

List all Audit Logs Returns array of audit logs for given team and filters

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageSizeintegerRequired
pageNumberintegerRequired
startDatestring · dateRequired
endDatestring · dateRequired
action[]string[]Optional
resource[]string[]Optional
actor[]string[]Optional
team[]string[]Optional
Responses
200

The request has succeeded.

application/json

Response model for listing audit logs

get/v3/audit-logs
GET /v3/audit-logs?pageSize=1&pageNumber=1&startDate=2026-01-01&endDate=2026-01-01 HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "resource": "text",
      "action": "text",
      "actor": {
        "userID": "text",
        "userName": "text",
        "userEmail": "text",
        "fullName": "text"
      },
      "client": "text",
      "timestamp": "text",
      "team": {
        "id": "text",
        "name": "text",
        "isDeleted": true
      }
    }
  ],
  "metadata": {
    "totalCount": 1
  }
}

Initiate an asynchronous export of audit logs based on the provided filters. The export file will be generated and available for download. Use 'Get details of Audit Logs export history by ID' API to retrieve the download URL.

post
/v3/audit-logs/export

Export Audit logs Initiates export of audit logs based on provided filters

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Request model for exporting audit logs

namestring · min: 1 · max: 100RequiredPattern: ^\S
descriptionstring · max: 300Optional
exportTypestring · enumRequiredPossible values:
Responses
200

The request has succeeded.

application/json

Response model for exporting audit logs

post/v3/audit-logs/export
POST /v3/audit-logs/export HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "filters": {
    "startDate": "2026-01-01",
    "endDate": "2026-01-01",
    "resource": [
      "text"
    ],
    "action": [
      "text"
    ],
    "actor": [
      "text"
    ],
    "team": [
      "text"
    ],
    "client": [
      "text"
    ]
  },
  "name": "text",
  "description": "text",
  "exportType": "csv"
}
{
  "data": {
    "id": "text",
    "message": "text"
  }
}

List all Audit Logs export history

get
/v3/audit-logs/export/history

List all Audit Logs export history Returns array of audit logs export history

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageSizeintegerRequired
pageNumberintegerRequired
Responses
200

The request has succeeded.

application/json

Response model for listing audit logs export history

get/v3/audit-logs/export/history
GET /v3/audit-logs/export/history?pageSize=1&pageNumber=1 HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "exportedAt": "text",
      "requestedBy": {
        "userID": "text",
        "userName": "text",
        "userEmail": "text",
        "fullName": "text"
      },
      "downloadLink": "text",
      "status": "text",
      "filters": {
        "startDate": "2026-01-01",
        "endDate": "2026-01-01",
        "resource": [
          "text"
        ],
        "action": [
          "text"
        ],
        "actor": [
          {
            "userID": "text",
            "userName": "text",
            "userEmail": "text",
            "fullName": "text"
          }
        ],
        "team": [
          {
            "id": "text",
            "name": "text",
            "isDeleted": true
          }
        ],
        "client": [
          "text"
        ]
      }
    }
  ],
  "metadata": {
    "totalCount": 1
  }
}

Get details of Audit Logs export history by ID

get
/v3/audit-logs/export/history/{id}

Get details of Audit Logs export history by ID Returns audit log export history details for the specified ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

The request has succeeded.

application/json

Response model for getting audit log export history by ID

get/v3/audit-logs/export/history/{id}
GET /v3/audit-logs/export/history/{id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "name": "text",
    "description": "text",
    "exportedAt": "text",
    "requestedBy": {
      "userID": "text",
      "userName": "text",
      "userEmail": "text",
      "fullName": "text"
    },
    "downloadLink": "text",
    "status": "text",
    "filters": {
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "resource": [
        "text"
      ],
      "action": [
        "text"
      ],
      "actor": [
        {
          "userID": "text",
          "userName": "text",
          "userEmail": "text",
          "fullName": "text"
        }
      ],
      "team": [
        {
          "id": "text",
          "name": "text",
          "isDeleted": true
        }
      ],
      "client": [
        "text"
      ]
    }
  }
}

Get audit log by ID

get
/v3/audit-logs/{id}

Get audit log by ID Returns audit log details for the specified ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

The request has succeeded.

application/json

Response model for getting audit log by ID

get/v3/audit-logs/{id}
GET /v3/audit-logs/{id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "resource": "text",
    "action": "text",
    "actor": {
      "userID": "text",
      "userName": "text",
      "userEmail": "text",
      "fullName": "text"
    },
    "client": "text",
    "timestamp": "text",
    "timezone": "text",
    "team": {
      "id": "text",
      "name": "text",
      "isDeleted": true
    },
    "tokenType": "text",
    "ipAddress": "text",
    "additionalInfo": "text",
    "meta": {},
    "userAgent": "text"
  }
}

Last updated